Zadig 文档
Zadig
教程
博客
论坛
关于
中文英文
Zadig
教程
博客
论坛
关于
Zadig v3.4
Loading...
     编辑文档
     反馈问题
     社区讨论

    本页导航

    用户

    # 列出用户信息

    请求

    GET /openapi/users?pageSize=<pageSize>&pageNum=<pageNum>&account=<account>
    
    1

    Query 参数说明

    参数名说明类型必填
    pageNum指定页数int是
    pageSize每页数量int是
    account账户名关键字string否

    成功返回说明

    参数名类型描述
    users[]User用户列表
    totalint用户总数

    User 参数说明

    参数名说明类型
    uiduidstring
    name用户名string
    accout账户名string

    成功返回示例

    {
        "users": [
            {
                "uid": "ddd405d5-5131-11ee-b458-4a4088364d94",
                "account": "admin",
                "name": "admin"
            },
            {
                "uid": "d456d705-73a9-11ee-98cf-56ef622fc735",
                "account": "demo",
                "name": "demo"
            }
        ],
        "total_count": 2
    }
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15

    # 列出用户组信息

    请求

    GET /openapi/user-groups?pageNum=<PageNum>&pageSize=<PageSize>
    
    1

    Query 参数说明

    参数名类型描述必填
    pageNumint指定页数是
    pageSizeint每页数量是

    成功返回说明

    参数名说明类型
    uiduidstring
    name用户名string
    accout账户名string

    成功返回示例

    {
        "group_list": [
            {
                "id": "98256be6-6e53-11ee-a205-9653dd3e9c32",
                "name": "user-group1",
                "description": "user-group description",
                "type": "custom",
                "user_total": 1
            },
            {
                "id": "cce58580-5131-11ee-b458-4a4088364d94",
                "name": "所有用户",
                "description": "系统中的所有用户",
                "type": "system",
                "user_total": 11
            }
        ],
        "total": 2
    }
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19

    ← 权限系统→

    资源
    教程
    论坛
    博客
    公司
    关于
    客户故事
    加入我们
    联系我们
    微信扫一扫
    hello@koderover.com

    © 2026 筑栈(上海)信息技术有限公司 沪 ICP 备 19000177 号 - 1

    •  跟随系统
    •  浅色模式
    •  深色模式
    •  阅读模式